Bug 1022954 - NM does not reactivate connection when dhclient dies
NM does not reactivate connection when dhclient dies
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 06:59 EDT by Jiri Popelka
Modified: 2015-06-29 08:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:42:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2013-10-24 06:59:39 EDT
Description of problem:
When I kill dhclient, NM notices it but doesn't try to run new instance as it was always doing.


Version-Release number of selected component (if applicable):
NetworkManager-0.9.9.0-7.git20130724.fc20.x86_64 and later


How reproducible:
Always


Steps to Reproduce:
1. killall dhclient
2. systemctl status NetworkManager


Actual results:
NetworkManager[4291]: <info> (em1): DHCPv4 client pid 4319 exited with status -1
NetworkManager[4291]: <warn> DHCP client died abnormally


Expected results:
NetworkManager[4061]: <info> (em1): DHCPv4 client pid 4094 exited with status -1
NetworkManager[4061]: <warn> DHCP client died abnormally
NetworkManager[4061]: <info> (em1): device state change: activated -> failed (reason 'ip-config-expired') [100 120 6]
NetworkManager[4061]: <warn> Activation (em1) failed for connection 'em1'
NetworkManager[4061]: <info> (em1): device state change: failed -> disconnected (reason 'none') [120 30 0]
NetworkManager[4061]: <info> (em1): deactivating device (reason 'none') [0]
NetworkManager[4061]: <info> Auto-activating connection 'em1'.
NetworkManager[4061]: <info> Activation (em1) starting connection 'em1'
NetworkManager[4061]: <info> (em1): device state change: disconnected -> prepare (reason 'none') [30 40 0]
NetworkManager[4061]: <info> Activation (em1) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager[4061]: <info> Activation (em1) Stage 1 of 5 (Device Prepare) started...
NetworkManager[4061]: <info> Activation (em1) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager[4061]: <info> Activation (em1) Stage 1 of 5 (Device Prepare) complete.
NetworkManager[4061]: <info> Activation (em1) Stage 2 of 5 (Device Configure) starting...
NetworkManager[4061]: <info> (em1): device state change: prepare -> config (reason 'none') [40 50 0]
NetworkManager[4061]: <info> Activation (em1) Stage 2 of 5 (Device Configure) successful.
NetworkManager[4061]: <info> Activation (em1) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager[4061]: <info> Activation (em1) Stage 2 of 5 (Device Configure) complete.
NetworkManager[4061]: <info> Activation (em1) Stage 3 of 5 (IP Configure Start) started...
NetworkManager[4061]: <info> (em1): device state change: config -> ip-config (reason 'none') [50 70 0]
NetworkManager[4061]: <info> Activation (em1) Beginning DHCPv4 transaction (timeout in 45 seconds)
NetworkManager[4061]: <info> dhclient started with pid 4179
NetworkManager[4061]: <info> Activation (em1) Beginning IP6 addrconf.
NetworkManager[4061]: <info> Activation (em1) Stage 3 of 5 (IP Configure Start) complete.
dhclient[4179]: Internet Systems Consortium DHCP Client 4.2.5


Additional info:
NetworkManager-0.9.9.0-5.git20130603.fc20.x86_64
is OK. There's no 9.9.0-6 build, so I could not test that one.
Comment 1 Dan Williams 2013-10-25 17:12:57 EDT
NetworkManager-0.9.9.0-7.git20130724.fc20.x86_64 is pretty old, can you try latest updates (20131003 at least, maybe newer) ?

Next, is IPv6 enabled for that connection, and does it complete successfully?  Please run "ip addr show em1" right before you kill dhclient and report the results.  Thanks!
Comment 2 Jiri Popelka 2013-10-29 05:00:13 EDT
(In reply to Dan Williams from comment #1)
> NetworkManager-0.9.9.0-7.git20130724.fc20.x86_64 is pretty old, can you try
> latest updates (20131003 at least, maybe newer) ?

Yes, I'd spotted this with 0.9.9.0-14.git20131003 and then went back to find the exact version where it started to behave like this and found 0.9.9.0-7.git20130724 (0.9.9.0-5.git20130603 is OK).
 
> Next, is IPv6 enabled for that connection, and does it complete
> successfully?  Please run "ip addr show em1" right before you kill dhclient
> and report the results.  Thanks!

Yes, it's set to Automatic, I got IPv6 address via SLAAC.

# nmcli -f all connection show active 
NAME  UUID                                  DEVICES  STATE    DEFAULT  DEFAULT6
em1   37392b7a-7f63-4537-bb14-b481e600ad78  em1    activated  yes      yes 

# ip addr show em1
2: em1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP group default qlen 1000
    link/ether 00:23:7d:c3:ca:2c brd ff:ff:ff:ff:ff:ff
    inet 10.34.4.75/23 scope global dynamic em1
       valid_lft 82962sec preferred_lft 82962sec
    inet6 2620:52:0:2204:223:7dff:fec3:ca2c/64 scope global dynamic 
       valid_lft 2588543sec preferred_lft 2588543sec
    inet6 fe80::223:7dff:fec3:ca2c/64 scope link 
       valid_lft forever preferred_lft forever

The output of these two commands doesn't change with killing dhclient.
Comment 3 Zbigniew Jędrzejewski-Szmek 2014-03-02 10:54:46 EST
I seem to be seeing the same: dhclient dies, and NetworkManager doesn't restart it:

mar 01 22:09:59 vm1 NetworkManager[1102]: <info> NetworkManager state is now CONNECTED_GLOBAL
mar 01 22:09:59 vm1 NetworkManager[1102]: <info> Policy set 'eth0' (eth0) as default for IPv4 routing and DNS.
mar 01 22:09:59 vm1 NetworkManager[1102]: <info> Activation (eth0) successful, device activated.
mar 01 22:10:04 vm1 NetworkManager[1102]: <info> startup complete
mar 02 01:59:35 vm1 dhclient[1137]: DHCPREQUEST on eth0 to 129.174.68.227 port 67 (xid=0x4c5e96d9)
mar 02 01:59:35 vm1 NetworkManager[1102]: <info> (eth0): DHCPv4 client pid 1137 exited with status -1
mar 02 01:59:35 vm1 NetworkManager[1102]: <warn> DHCP client died abnormally

And there's no network after that :(

I'm not sure how to extract more information about why dhclient died. I would be thankful for some tips.
Comment 4 Jiri Popelka 2014-03-03 07:56:14 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> I'm not sure how to extract more information about why dhclient died.

If it's reproducible, you can run dhclient manually via strace, like:
# strace dhclient -d eth0
and attach the output to a new bug report against dhcp package. thanks.
Comment 5 Zbigniew Jędrzejewski-Szmek 2014-03-03 08:09:13 EST
Unfortunately it seems to happen once every few weeks, on a VM which I use so testing so I reboot it tens of times per day.
Comment 6 Lukas Zapletal 2014-08-26 15:55:48 EDT
I am experiencing the very same issue on RHEL7.

NetworkManager-0.9.9.1-25

I have limited environment, RHEL7 based LiveCD used for Satellite 6.0 bare metal provisioning. I am able to randomly reproduce in libvirt network (running default setup with dnsmasq DHCP server). Unfortunately the LiveCD environment is quite limiting (no strace, gdb, bare-bone system).

Can you give me some hints how can I workaround this issue by configuring NetworkManager to always restart failed dhclient?
Comment 7 Fedora End Of Life 2015-05-29 05:37:40 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:42:47 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.